"""
This is the main module of the Discord Bot

Mainly loads the Cog's and starts the bot
"""

__version__ = '0.5'
__author__ = 'Bibin Muttappillil'

# standard library imports
import os
from dotenv import load_dotenv

# discord imports
from discord.ext import commands


# Token stuff
load_dotenv()
TOKEN = os.getenv('DISCORD_TOKEN')
if TOKEN is None:
	print("Missing discord token!")
	exit(1)

bot = commands.Bot(command_prefix=commands.when_mentioned_or('$b '))


bot.run(TOKEN)
